import { css, html, LitElement } from "lit";
import { customElement, property } from "lit/decorators.js";

@customElement("my-button")
export class ComponentWrapper extends LitElement {
  static override styles = css`
    button {
      background: crimson;
      padding: 8px;
      border-radius: 8px;
      cursor: pointer;
    }
  `;

  @property({ type: String }) label = "";

  override render() {
    return html` <button>${this.label}</button> `;
  }
}
